LibreOffice: XXMLSignatureTemplate Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XXMLSignatureTemplate Interface Reference

Interface of XML signature template. More...

`import"XXMLSignatureTemplate.idl";`

Inheritance diagram for XXMLSignatureTemplate:

## Public Member Functions
sequence< com::sun::star::xml::wrapper::XXMLElementWrapper > | getTargets ()
| Get the target XML element, i.e. More...
void | setBinding ([in] com::sun::star::xml::crypto::XUriBinding aUriBinding) raises ( com::sun::star::lang::IllegalArgumentException )
| Set the dynamic URI binding. More...
com::sun::star::xml::crypto::XUriBinding | getBinding ()
| Get the dynamic URI binding. More...
Public Member Functions inherited from XXMLSecurityTemplate
void | setTemplate ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load a XML signature template from XML signature element. More...
com::sun::star::xml::wrapper::XXMLElementWrapper | getTemplate ()
| Get the XML signature element that represents the signature template. More...
void | setTarget ([in] com::sun::star::xml::wrapper::XXMLElementWrapper aXmlElement) raises ( com::sun::star::lang::IllegalArgumentException )
| Load the target XML element, i.e. More...
void | setStatus ([in] SecurityOperationStatus status) raises ( com::sun::star::lang::IllegalArgumentException )
| Set the template status. More...
SecurityOperationStatus | getStatus ()
| Get the template status. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of XML signature template.

This interface represents a signature template, which is the same as the desired XML signature element but some of the nodes may be empty. The empty entities include digest value and signature value. Empty entities are not allowed in a signature template when performing validation.

In some cases, the signer or verifier can determine and locate the contents to be signed from the template by dereference the URI.

With the help of signature context, the signer or verifier specifies the key from the KeyInfo in the signature template.

Owner: Andrew Fan

## Member Function Documentation

com::sun::star::xml::crypto::XUriBinding getBinding | ( |  | ) |

Get the dynamic URI binding.

sequence< com::sun::star::xml::wrapper::XXMLElementWrapper > getTargets | ( |  | ) |

Get the target XML element, i.e.

the element to be signed

void setBinding | ( | [in] com::sun::star::xml::crypto::XUriBinding | aUriBinding | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Set the dynamic URI binding.

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/XXMLSignatureTemplate.idl